import 'package:json_annotation/json_annotation.dart';

part 'role_kit.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class RoleKit {
  final String id;
  final String? name;
  final bool? isRequired;
  final bool? photoRequired;

  RoleKit({
    required this.id,
    required this.name,
    required this.isRequired,
    required this.photoRequired,
  });

  factory RoleKit.fromJson(Map<String, dynamic> json) => _$RoleKitFromJson(json);

  Map<String, dynamic> toJson() => _$RoleKitToJson(this);
}